Develop with iOS 4 SDK on an OS 3.0 Device

After upgrading to iOS 4.0 SDK, iPhone OS 3.0 is no longer a valid „Base SDK“. Naively switching to iPhone 3.2 prevents deployment to a 3.0 device.

But such „Project -> Edit Project Settings“ work out fine:

iPhoneOS 3.0 development device with iOS 4.0 SDK

iPhoneOS 3.0 development device with iOS 4.0 SDK

„Deployment Target“ hint found here.

Flattr this!

Post a Comment

Your email is never published nor shared. Required fields are marked *